Bullet Collision Detection & Physics Library: SetupContactConstraintsLoop Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SetupContactConstraintsLoop Struct Reference
Inheritance diagram for SetupContactConstraintsLoop:
[legend]
Collaboration diagram for SetupContactConstraintsLoop:
[legend]

## Public Member Functions
| SetupContactConstraintsLoop (btSequentialImpulseConstraintSolverMt *solver, const btBatchedConstraints *bc, const btContactSolverInfo &infoGlobal)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()
virtual void | forLoop (int iBegin, int iEnd) const =0

## Public Attributes
btSequentialImpulseConstraintSolverMt * | m_solver
const btBatchedConstraints * | m_bc
const btContactSolverInfo * | m_infoGlobal

## Detailed Description

Definition at line 246 of file btSequentialImpulseConstraintSolverMt.cpp.

## Constructor & Destructor Documentation

## ◆ SetupContactConstraintsLoop()

SetupContactConstraintsLoop::SetupContactConstraintsLoop | ( | btSequentialImpulseConstraintSolverMt * | solver,
|  | const btBatchedConstraints * | bc,
|  | const btContactSolverInfo & | infoGlobal
| ) |  |
| inline

Definition at line 252 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Function Documentation

## ◆ forLoop()

void SetupContactConstraintsLoop::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 258 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Data Documentation

## ◆ m_bc

const btBatchedConstraints* SetupContactConstraintsLoop::m_bc

Definition at line 249 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_infoGlobal

const btContactSolverInfo* SetupContactConstraintsLoop::m_infoGlobal

Definition at line 250 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_solver

btSequentialImpulseConstraintSolverMt* SetupContactConstraintsLoop::m_solver

Definition at line 248 of file btSequentialImpulseConstraintSolverMt.cpp.

The documentation for this struct was generated from the following file:

- btSequentialImpulseConstraintSolverMt.cpp